src.backend.tests.library_test.Test_Catalogue(3)

NAME
src.backend.tests.library_test.Test_Catalogue

SYNOPSIS

Inherits src.backend.lib.library.Catalogue.

  Public Member Functions
def __init__ (self)
def filter_books (self)

  Public Attributes
book_shelf

Detailed Description

Constructor & Destructor Documentation

  def src.backend.tests.library_test.Test_Catalogue.__init__ ( self)

Reimplemented from src.backend.lib.library.Catalogue.

Member Function Documentation

  def src.backend.tests.library_test.Test_Catalogue.filter_books ( self)

Calls scan_folder and filters out book files.
:returns self._book_list_expanded: json string containing
all book metadata

Reimplemented from src.backend.lib.library.Catalogue.

Member Data Documentation

  src.backend.tests.library_test.Test_Catalogue.book_shelf

Author

Generated automatically by Doxygen for pyShelf Open Source Ebook Server from the source code.